<template>
  <v-simple-table height="300" fixed-header>
    <template v-slot:default>
      <template v-if="Array.isArray(last_log) && last_log.length">
        <thead>
          <tr>
            <th
              class="text-left title"
              v-for="(header, i) in headers"
              :key="'header' + i"
              width="100"
            >
              {{ header }}
            </th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td
              v-for="(log_param, i) in last_log"
              :key="'log_param' + i"
              width="100"
            >
              {{ log_param }}
            </td>
          </tr>
        </tbody>
      </template>

      <template v-else>
        <p align="center" class="display-1 font-weight-light mt-10">
          No logs yet...
        </p>
        <p align="center" class="font-weight-light mt-5">
          To start logging connect first to the Forecast Board
        </p>
      </template>
    </template>
  </v-simple-table>
</template>

<script>
export default {
  name: "LogsVisualizer",

  computed: {
    last_log() {
      return this.$store.getters["logs/last_log"];
    },
    headers() {
      return ["Time"].concat(this.$store.getters["logs/labels"]);
    },
    logsSec() {
      return this.$store.getters["status/logsSec"];
    },
  },
};
</script>